Page MenuHomePhabricator

Advise BPay donors not to reuse reference #s
Closed, ResolvedPublic1 Story Points

Description

BPay donors who mistakenly think they can reuse the reference # generated by the donation form for subsequent transactions will have their donations accepted by Globalcollect, but they will not reach Civi. We can refund the extra donations from the case in the first screenshot, but it would be helpful to also add a message to our BPay form as in the second screenshot. We can't tell from Civi how many donors are affected by this.

"Each Reference # is only valid once. Please do not reuse this reference number for future donations."

Event Timeline

MBeat33 created this task.Nov 30 2015, 10:18 PM
MBeat33 raised the priority of this task from to Needs Triage.
MBeat33 updated the task description. (Show Details)
MBeat33 added a project: Fundraising-Backlog.
MBeat33 added subscribers: MBeat33, Ppena.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 30 2015, 10:18 PM
MBeat33 set Security to None.Dec 9 2015, 5:00 PM
MBeat33 added a subscriber: Pcoombe.

Thanks Michael. This isn't something I could do on my own, it would need a DonationInterface change and deployment.

Suggested copy:
Please note, BPay is not available as a recurring option. Each Reference # is only valid for one donation.

Suggested copy: Please note, BPay is not available as a recurring option. Each Reference # is only valid for one donation.

Instead of "Each Reference # is only valid for one donation", what about something like "Please do not reuse this reference number for future donations"?

atgo added a comment.Dec 10 2015, 4:17 PM

I like @CCogdill_WMF's suggestion since donors may not know what
"recurring" is the same way that we do.

good point, that works!

atgo added a comment.Dec 10 2015, 5:30 PM

So just the 1 sentence?

Thank you guys. How about merging Caitlin's and Michael's ideas into one:

"Each Reference # is only valid once. Please do not reuse this reference number for future donations"

atgo added a comment.Dec 10 2015, 9:12 PM

Thanks @jrobell. I'm adding this to the task description. We won't get to this today, so if you have further tweaks please update here.

atgo updated the task description. (Show Details)Dec 10 2015, 9:12 PM

thanks. @atgo. @CCogdill_WMF and @MBeat33 and @Ppena, does that make sense to you?

Yes, that's great, thx

Ppena added a comment.Dec 10 2015, 9:31 PM

sounds good!

Ejegg claimed this task.Dec 21 2015, 11:23 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Zapp board.
Ejegg edited a custom field.

Change 260621 had a related patch set uploaded (by Ejegg):
Warn BPay donors not to recycle reference numbers

https://gerrit.wikimedia.org/r/260621

Ejegg moved this task from Doing to Review on the Fundraising Sprint Zapp board.Dec 22 2015, 6:37 PM

Change 260621 merged by jenkins-bot:
Warn BPay donors not to recycle reference numbers

https://gerrit.wikimedia.org/r/260621

Ejegg closed this task as Resolved.Dec 29 2015, 5:36 PM